DADA2 An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

Dear Colleagues
I used QIIME2 2019.4 and perform an analysis. The same analysis I had to do on the same data using latest available 2019.7, 2019.10 for some reason but here DADA2 is giving some errors.
I found that 2019.10 has a different manifest file format. I made new manifest accordingly but I am still getting this error message.

(qiime2-2019.10) [email protected]:/media/sf_qiime2.data/ABM_data/hmy-corrected$ qiime dada2 denoise-paired \

–i-demultiplexed-seqs paired-end-demux.qza
–p-trim-left-f 10
–p-trim-left-r 10
–p-trunc-len-f 250
–p-trunc-len-r 250
–o-table table.qza
–o-representative-sequences rep-seqs.qza
–o-denoising-stats denoising-stats.qza
–p-n-threads 0
–verbose
Running external command line application(s). This may print messages to stdout and/or stderr.
The command(s) being run are below. These commands cannot be manually re-run as they will depend on temporary files that no longer exist.

Command: run_dada_paired.R /tmp/tmpd4zi4e1l/forward /tmp/tmpd4zi4e1l/reverse /tmp/tmpd4zi4e1l/output.tsv.biom /tmp/tmpd4zi4e1l/track.tsv /tmp/tmpd4zi4e1l/filt_f /tmp/tmpd4zi4e1l/filt_r 250 250 10 10 2.0 2.0 2 consensus 1.0 0 1000000

R version 3.5.1 (2018-07-02)
Loading required package: Rcpp
DADA2: 1.10.0 / Rcpp: 1.0.2 / RcppParallel: 4.4.4

  1. Filtering Error in names(answer) <- names1 :
    ‘names’ attribute [47] must be the same length as the vector [24]
    Execution halted
    Traceback (most recent call last):
    File “/home/qiime2/miniconda/envs/qiime2-2019.10/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 257, in denoise_paired
    run_commands([cmd])
    File “/home/qiime2/miniconda/envs/qiime2-2019.10/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 36, in run_commands
    subprocess.run(cmd, check=True)
    File “/home/qiime2/miniconda/envs/qiime2-2019.10/lib/python3.6/subprocess.py”, line 418, in run
    output=stdout, stderr=stderr)
    subprocess.CalledProcessError: Command ‘[‘run_dada_paired.R’, ‘/tmp/tmpd4zi4e1l/forward’, ‘/tmp/tmpd4zi4e1l/reverse’, ‘/tmp/tmpd4zi4e1l/output.tsv.biom’, ‘/tmp/tmpd4zi4e1l/track.tsv’, ‘/tmp/tmpd4zi4e1l/filt_f’, ‘/tmp/tmpd4zi4e1l/filt_r’, ‘250’, ‘250’, ‘10’, ‘10’, ‘2.0’, ‘2.0’, ‘2’, ‘consensus’, ‘1.0’, ‘0’, ‘1000000’]’ returned non-zero exit status 1.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/qiime2/miniconda/envs/qiime2-2019.10/lib/python3.6/site-packages/q2cli/commands.py”, line 328, in call
results = action(**arguments)
File “</home/qiime2/miniconda/envs/qiime2-2019.10/lib/python3.6/site-packages/decorator.py:decorator-gen-459>”, line 2, in denoise_paired
File “/home/qiime2/miniconda/envs/qiime2-2019.10/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 240, in bound_callable
output_types, provenance)
File “/home/qiime2/miniconda/envs/qiime2-2019.10/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 383, in callable_executor
output_views = self._callable(**view_args)
File “/home/qiime2/miniconda/envs/qiime2-2019.10/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 272, in denoise_paired
" and stderr to learn more." % e.returncode)
Exception: An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

Please advise. I am attaching here my demux and manifest files pe-64-manifest.txt (7.3 KB) demux

Hi @drmusk,

The manifest isn’t to blame here, the main error message is this:

which happens to be caused by this:

This setting will automatically use as many threads as possible. With each thread, there is some minimum amount of memory necessary, you are exhausting all memory to use that many threads. Try dialing the number of threads down a bit.

:qiime2:

1 Like